<script>
  export default {
    props: {
      rotationStartDelay: Number,
    },
    mounted () {
      window.addEventListener('keypress', () => { this.next(); });
      window.addEventListener('touch', () => { this.next(); });

      // Start the image rotation a bit later for a cool effect
      window.setTimeout(() => {
        this.timer = window.setInterval(this.next, 10000);
      }, this.rotationStartDelay);

      this.next();
    },
    beforeDestroy () {
      window.clearInterval(this.timer);
    },
    methods: {
      click: function () {
        // One click disables the automatic sliding
        window.clearInterval(this.timer);
        this.next();
      },
    }
  };
</script>
<style lang="scss" >
    .namegenerator {
        width: 375px;
        -webkit-column-break-inside: avoid;
        page-break-inside: avoid;
        break-after: column;
        margin-right: 30px;

    }

    @media only screen and (max-width: 500px) {
        .namegenerator {
            margin-right: 0;
        }
    }

    .fade-enter-active, .fade-leave-active {
        transition: opacity .2s;
    }

    .fade-enter, .fade-leave-to /* .fade-leave-active below version 2.1.8 */
    {
        opacity: 0;
    }
</style>